Table of Contents

Class: plugin_handler | ../bkchem/plugin_support.py
--- | ---
this class stores information about plugin
Methods |
--- | ---
__init__ get_directory_name get_module_name
| __init__
    __init__ (
            self,
            name,
            filename,
            type="script",
            desc="",
            menu="",
            )
| get_directory_name
    get_directory_name ( self )
returns directory where the plugin resides
| get_module_name
    get_module_name ( self )
returns name of module suitable for loading of this plugin via import

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1